<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Website;

class WebsitePolicy
{
    public function create(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function delete(User $user, Website $website): bool
    {
        return $user->isSuperAdmin();
    }

    public function update(User $user, Website $website): bool
    {
        return $user->isSuperAdmin();
    }

    public function view(User $user, Website $website): bool
    {
        return $user->isSuperAdmin();
    }

    public function viewAny(User $user): bool
    {
        return $user->isSuperAdmin();
    }
}
